package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.domain.entity.ShopUser;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.mapper.ShopUserMapper;
import com.ruoyi.system.service.IShopUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
@Service
public class ShopUserServiceImpl implements IShopUserService 
{
    @Autowired
    private ShopUserMapper shopUserMapper;

    /**
     * 查询用户管理
     * 
     * @param id 用户管理主键
     * @return 用户管理
     */
    @Override
    public ShopUser selectShopUserById(String id)
    {
        return shopUserMapper.selectShopUserById(id);
    }

    /**
     * 查询用户管理列表
     * 
     * @param shopUser 用户管理
     * @return 用户管理
     */
    @Override
    public List<ShopUser> selectShopUserList(ShopUser shopUser)
    {
        return shopUserMapper.selectShopUserList(shopUser);
    }

    /**
     * 新增用户管理
     * 
     * @param shopUser 用户管理
     * @return 结果
     */
    @Override
    public int insertShopUser(ShopUser shopUser)
    {
        shopUser.setCreateTime(DateUtils.getNowDate());
        return shopUserMapper.insertShopUser(shopUser);
    }

    /**
     * 修改用户管理
     * 
     * @param shopUser 用户管理
     * @return 结果
     */
    @Override
    public int updateShopUser(ShopUser shopUser)
    {
        shopUser.setUpdateTime(DateUtils.getNowDate());
        return shopUserMapper.updateShopUser(shopUser);
    }

    /**
     * 批量删除用户管理
     * 
     * @param ids 需要删除的用户管理主键
     * @return 结果
     */
    @Override
    public int deleteShopUserByIds(String[] ids)
    {
        return shopUserMapper.deleteShopUserByIds(ids);
    }

    /**
     * 删除用户管理信息
     * 
     * @param id 用户管理主键
     * @return 结果
     */
    @Override
    public int deleteShopUserById(String id)
    {
        return shopUserMapper.deleteShopUserById(id);
    }
}
